# task_get_result.cpp File Reference

`#include <vector>`
`#include <saga/saga/sd.hpp>`
`#include <saga/saga/adaptors/task.hpp>`
`#include <saga/saga/detail/task_get_result_impl.hpp>`

## Namespaces
namespace | saga
## Functions
template std::vector < saga::sd::service_description > & | saga::task::get_result< std::vector< saga::sd::service_description > > ()
template saga::sd::discoverer & | saga::task::get_result< saga::sd::discoverer > ()